<template>
  <div class="wrapper-content wrapper-content--fixed">
    <section class="about">
      <div class="container">
        <h2 class="title">About</h2>
        <p>
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Ab, ex
          tenetur labore qui culpa maxime doloremque suscipit quae impedit
          distinctio a porro nisi aspernatur inventore alias et eos velit?
          Neque?
        </p>
        <Intro :title="title" />
        <img src="https://picsum.photos/id/684/600/400" alt="" />
        <p>
          Lorem ipsum dolor sit amet consectetur adipisicing elit. Ab, ex
          tenetur labore qui culpa maxime doloremque suscipit quae impedit
          distinctio a porro nisi aspernatur inventore alias et eos velit?
          Neque?
        </p>
      </div>
    </section>
  </div>
</template>

<script>
export default {
  head() {
    const title = "About My SSR Blog!",
      descr = "About My First blog on Nuxt.JS",
      type = "site";
    return {
      title: title,
      meta: [
        { hid: "og:title", name: "og:title", content: title },
        { hid: "og:description", name: "og:description", content: descr },
        { hid: "description", name: "description", content: descr },
        { hid: "og:type", name: "og:type", content: type },
      ],
    };
  },
  data() {
    return {
      title: `Lorem ipsum dolor sit amet consectetur adipisicing elit. Ab, ex tenetur labore qui culpa maxime doloremque suscipit quae impedit
                    distinctio a porro nisi aspernatur inventore alias et eos velit?
                    Neque?`,
    };
  },
};
</script>
<style lang="scss">
.about {
  text-align: center;
  p {
    margin-bottom: 10px;
  }
}
</style>